101015.105529 编译环境配置之AOSP标准配置

首先,我们需要一个linux操作系统,AOSP的手册用的是ubuntu。当然了,实际上也不一定需要使用ubuntu,比如我个人使用的就是一个基于debian的发行版crunchbanglinux。这个系统在安装完成后会有一个安装向导,向导里就有关于开发环境安装的项目,不过我也不记得我当时有没有直接使用向导安装了。
开始配置了,已经安装好ubuntu,那么打开终端
执行一下如下指令:
sudo apt-get install git-core gnupg sun-java5-jdk flex bison gperf libsdl-dev libesd0-dev libwxgtk2.6-dev build-essential zip curl libncurses5-dev zlib1g-dev
不过,现在源里已经没有java1.5版本的下载了,那么就应该使用如下:
sudo apt-get install git-core gnupg flex bison gperf libsdl-dev libesd0-dev libwxgtk2.6-dev build-essential zip curl libncurses5-dev zlib1g-dev
完成之后你还需要在java官网下载1.5版本的JDK进行安装
如此,AOSP手册里说的开发环境已经基本安装完毕。我们可以开始获取源码进行编译了。

当然了,英文过关的朋友可以直接观看AOSP官方手册

标签: android, AOSP, 开发, 编译, 环境

评论已关闭